#!../../bin/linux-x86/mbsmon

## You may have to change mbsmon to something else
## everywhere it appears in this file

< envPaths

cd ${TOP}

## Register all support components
dbLoadDatabase("dbd/mbsmon.dbd")
mbsmon_registerRecordDeviceDriver(pdbbase)

## Load record instances

# load records for each mbs node:
# mbsname indicates real hostname in netwerk, mbsnode is ioc reference name!
dbLoadRecords("db/dbMbsMonitor.db","user=$(USER), mbsname=lxi009, mbsnode=mbs1, scan=2 second, evhirange=30000, kbhirange=1500")

dbLoadRecords("db/dbMbsMonitor.db","user=$(USER), mbsname=lxi011, mbsnode=mbs2, scan=2 second, evhirange=30000, kbhirange=1500")

dbLoadRecords("db/dbMbsMonitor.db","user=$(USER), mbsname=lxi012, mbsnode=mbs3, scan=2 second, evhirange=30000, kbhirange=1500")

dbLoadRecords("db/dbMbsMonitor.db","user=$(USER), mbsname=lxi013, mbsnode=mbs4, scan=2 second, evhirange=30000, kbhirange=1500")

dbLoadRecords("db/dbMbsMonitor.db","user=$(USER), mbsname=lxi014, mbsnode=mbs5, scan=2 second, evhirange=30000, kbhirange=1500")

# load the summation record:
dbLoadRecords("db/dbMbsSums.db","user=$(USER), mbsnode1=mbs1, mbsnode2=mbs2, mbsnode3=mbs3, mbsnode4=mbs4,mbsnode5=mbs5,mbsnode6=mbs6,mbsnode7=mbs7,mbsnode8=mbs8, scan=2 second ,evhirange=300000, kbhirange=15000")

 
cd ${TOP}/iocBoot/${IOC}
iocInit()
## Start any sequence programs
#seq sncExample,"user=adamczewHost"
